#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private itcDeltaVolumeBar[] cacheitcDeltaVolumeBar;

		
		public itcDeltaVolumeBar itcDeltaVolumeBar(string softwareDescription, string machineAccount, string softwareActivationKey, EnumVolumeColor barColorType, System.Windows.Media.Brush posFillColor, System.Windows.Media.Brush posBorderColor, System.Windows.Media.Brush posWickColor, System.Windows.Media.Brush negFillColor, System.Windows.Media.Brush negBorderColor, System.Windows.Media.Brush negWickColor)
		{
			return itcDeltaVolumeBar(Input, softwareDescription, machineAccount, softwareActivationKey, barColorType, posFillColor, posBorderColor, posWickColor, negFillColor, negBorderColor, negWickColor);
		}


		
		public itcDeltaVolumeBar itcDeltaVolumeBar(ISeries<double> input, string softwareDescription, string machineAccount, string softwareActivationKey, EnumVolumeColor barColorType, System.Windows.Media.Brush posFillColor, System.Windows.Media.Brush posBorderColor, System.Windows.Media.Brush posWickColor, System.Windows.Media.Brush negFillColor, System.Windows.Media.Brush negBorderColor, System.Windows.Media.Brush negWickColor)
		{
			if (cacheitcDeltaVolumeBar != null)
				for (int idx = 0; idx < cacheitcDeltaVolumeBar.Length; idx++)
					if (cacheitcDeltaVolumeBar[idx].SoftwareDescription == softwareDescription && cacheitcDeltaVolumeBar[idx].MachineAccount == machineAccount && cacheitcDeltaVolumeBar[idx].SoftwareActivationKey == softwareActivationKey && cacheitcDeltaVolumeBar[idx].BarColorType == barColorType && cacheitcDeltaVolumeBar[idx].PosFillColor == posFillColor && cacheitcDeltaVolumeBar[idx].PosBorderColor == posBorderColor && cacheitcDeltaVolumeBar[idx].PosWickColor == posWickColor && cacheitcDeltaVolumeBar[idx].NegFillColor == negFillColor && cacheitcDeltaVolumeBar[idx].NegBorderColor == negBorderColor && cacheitcDeltaVolumeBar[idx].NegWickColor == negWickColor && cacheitcDeltaVolumeBar[idx].EqualsInput(input))
						return cacheitcDeltaVolumeBar[idx];
			return CacheIndicator<itcDeltaVolumeBar>(new itcDeltaVolumeBar(){ SoftwareDescription = softwareDescription, MachineAccount = machineAccount, SoftwareActivationKey = softwareActivationKey, BarColorType = barColorType, PosFillColor = posFillColor, PosBorderColor = posBorderColor, PosWickColor = posWickColor, NegFillColor = negFillColor, NegBorderColor = negBorderColor, NegWickColor = negWickColor }, input, ref cacheitcDeltaVolumeBar);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.itcDeltaVolumeBar itcDeltaVolumeBar(string softwareDescription, string machineAccount, string softwareActivationKey, EnumVolumeColor barColorType, System.Windows.Media.Brush posFillColor, System.Windows.Media.Brush posBorderColor, System.Windows.Media.Brush posWickColor, System.Windows.Media.Brush negFillColor, System.Windows.Media.Brush negBorderColor, System.Windows.Media.Brush negWickColor)
		{
			return indicator.itcDeltaVolumeBar(Input, softwareDescription, machineAccount, softwareActivationKey, barColorType, posFillColor, posBorderColor, posWickColor, negFillColor, negBorderColor, negWickColor);
		}


		
		public Indicators.itcDeltaVolumeBar itcDeltaVolumeBar(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, EnumVolumeColor barColorType, System.Windows.Media.Brush posFillColor, System.Windows.Media.Brush posBorderColor, System.Windows.Media.Brush posWickColor, System.Windows.Media.Brush negFillColor, System.Windows.Media.Brush negBorderColor, System.Windows.Media.Brush negWickColor)
		{
			return indicator.itcDeltaVolumeBar(input, softwareDescription, machineAccount, softwareActivationKey, barColorType, posFillColor, posBorderColor, posWickColor, negFillColor, negBorderColor, negWickColor);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.itcDeltaVolumeBar itcDeltaVolumeBar(string softwareDescription, string machineAccount, string softwareActivationKey, EnumVolumeColor barColorType, System.Windows.Media.Brush posFillColor, System.Windows.Media.Brush posBorderColor, System.Windows.Media.Brush posWickColor, System.Windows.Media.Brush negFillColor, System.Windows.Media.Brush negBorderColor, System.Windows.Media.Brush negWickColor)
		{
			return indicator.itcDeltaVolumeBar(Input, softwareDescription, machineAccount, softwareActivationKey, barColorType, posFillColor, posBorderColor, posWickColor, negFillColor, negBorderColor, negWickColor);
		}


		
		public Indicators.itcDeltaVolumeBar itcDeltaVolumeBar(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, EnumVolumeColor barColorType, System.Windows.Media.Brush posFillColor, System.Windows.Media.Brush posBorderColor, System.Windows.Media.Brush posWickColor, System.Windows.Media.Brush negFillColor, System.Windows.Media.Brush negBorderColor, System.Windows.Media.Brush negWickColor)
		{
			return indicator.itcDeltaVolumeBar(input, softwareDescription, machineAccount, softwareActivationKey, barColorType, posFillColor, posBorderColor, posWickColor, negFillColor, negBorderColor, negWickColor);
		}

	}
}

#endregion
